package Staartvin.SimpleRegister.Application;

import java.util.List;

import org.bukkit.command.CommandSender;

import Staartvin.SimpleRegister.SimpleRegister;
import Staartvin.SimpleRegister.Emailer.sendEmailTask;
import Staartvin.SimpleRegister.FileHandling.MessagesFile.configMessages;

public class AcceptApplication {

	public SimpleRegister plugin;

	public AcceptApplication(SimpleRegister plugin) {
		this.plugin = plugin;
	}
	
	private boolean useEmailAPI() {
		if (plugin.getConfig().getBoolean("EmailAPI.use")) return true;
		return false;
	}
	
	private String getEmailAddress(String playerName) {
		String emailValue = plugin.getConfig().getString("EmailAPI.emailQuestion", "Question1");
		if (!emailValue.contains("Question")) emailValue = "Question1";
		
		emailValue = emailValue.substring(8);
		String emailAddress = plugin.playersConfig.getString(playerName.toLowerCase() + ".value" + emailValue);
		return emailAddress;
	}

	public void acceptApplication(CommandSender sender, String[] args) {

		final String name;

		if (args.length == 3) {
			name = args[2];
		} else {
			name = args[0];
		}

		plugin.methods.callAcceptedEvent(name, sender.getName());

		if (plugin.isAcceptApplicationCancelled) {
			return;
		}

		if (plugin.playersConfig.getStringList("PendingApplications").contains(
				name.toLowerCase())) {
			List<String> pendingapplications = plugin.playersConfig
					.getStringList("PendingApplications");
			pendingapplications.remove(name.toLowerCase());
			plugin.playersConfig
					.set("PendingApplications", pendingapplications);
			plugin.playersConfig
					.set(name.toLowerCase() + ".Status", "accepted");
			plugin.loadConfiguration.saveRegistrationsConfig();
			plugin.methods.getFormatedTextMob(
					plugin.getConfig().getStringList(
							"CommandsToExecuteOnApproval"), name);

			sender.sendMessage(plugin.messagesFile.getMessage(configMessages.ACCEPT_APPLICATION, name, null));
			
			// Send an e-mail
			if (useEmailAPI()) {
				plugin.getServer().getScheduler().runTaskAsynchronously(plugin, new sendEmailTask(plugin, getEmailAddress(name)));
			}
			
			return;
		} else if (plugin.playersConfig.getStringList("DeclinedApplications")
				.contains(name.toLowerCase())) {
			List<String> declinedapplications = plugin.playersConfig
					.getStringList("DeclinedApplications");
			declinedapplications.remove(name.toLowerCase());
			plugin.playersConfig.set("DeclinedApplications",
					declinedapplications);
			plugin.playersConfig
					.set(name.toLowerCase() + ".Status", "accepted");
			plugin.loadConfiguration.saveRegistrationsConfig();

			plugin.methods.getFormatedTextMob(
					plugin.getConfig().getStringList(
							"CommandsToExecuteOnApproval"), name);
			sender.sendMessage(plugin.messagesFile.getMessage(configMessages.ACCEPT_APPLICATION, name, null));
			
			// Send an e-mail
			if (useEmailAPI()) {
				plugin.getServer().getScheduler().runTaskAsynchronously(plugin, new sendEmailTask(plugin, getEmailAddress(name)));
			}
			
			return;
		}
		else if (plugin.playersConfig.getString(name.toLowerCase()) == null){
			sender.sendMessage(plugin.messagesFile.getMessage(configMessages.OTHER_NOT_REGISTERED_YET, name, null));
			return;
		}
		else {
			sender.sendMessage(plugin.messagesFile.getMessage(configMessages.OTHER_ALREADY_ACCEPTED, name, null));
			return;
		}
	}
}
