package Staartvin.SimpleRegister.Commands;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;

import Staartvin.SimpleRegister.SimpleRegister;
import Staartvin.SimpleRegister.Application.AcceptApplication;

public class AcceptCommand {

	private SimpleRegister plugin;
	private AcceptApplication acceptApplication;
	
	public AcceptCommand(SimpleRegister plugin) {
		this.plugin = plugin;
		acceptApplication = new AcceptApplication(plugin);
	}

	public boolean onCommand(final CommandSender sender, Command cmd,
			String commandLabel, String[] args) {
		if (!sender.hasPermission("simpleregister.applications.accept")) {
			sender.sendMessage(ChatColor.RED
					+ "You don't have the permission to perform this command!");
			return true;
		}
		if (cmd.getName().equalsIgnoreCase("accept")) {
			if (!plugin.getConfig().getBoolean("Commands.Use Accept Alias")) {
				sender.sendMessage(ChatColor.RED + "'/accept' alias is not used. Check your config!");
				return true;
			}
			if (args.length != 1) {
				sender.sendMessage(ChatColor.RED
						+ "No application was given to accept!");
				return true;
			}
			acceptApplication.acceptApplication(sender, args);
			return true;
		} else {

			acceptApplication.acceptApplication(sender, args);
			return true;
		}
	}

}
