package Staartvin.SimpleRegister.Commands;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;

import Staartvin.SimpleRegister.SimpleRegister;
import Staartvin.SimpleRegister.Application.DeclineApplication;

public class DeclineCommand {

	private SimpleRegister plugin;
	private DeclineApplication declineApplication;
	
	public DeclineCommand(SimpleRegister plugin) {
		this.plugin = plugin;
		declineApplication = new DeclineApplication(plugin);
	}

	public boolean onCommand(final CommandSender sender, Command cmd,
			String commandLabel, String[] args) {
		if (!sender.hasPermission("simpleregister.commands")) {
			sender.sendMessage(ChatColor.RED
					+ "You don't have the permission to perform this command!");
			return true;
		}
		if (cmd.getName().equalsIgnoreCase("deny")) {
			if (!plugin.getConfig().getBoolean("Commands.Use Deny Alias")) {
				sender.sendMessage(ChatColor.RED + "'/deny' alias is not used. Check your config!");
				return true;
			}
			if (args.length != 1) {
				sender.sendMessage(ChatColor.RED
						+ "No application was given to decline!");
				return true;
			}

			declineApplication.declineApplication(sender, args);
			return true;
		} else {
			declineApplication.declineApplication(sender, args);
			return true;
		}
	}

}