package Staartvin.SimpleRegister.Commands;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;

import Staartvin.SimpleRegister.SimpleRegister;
import Staartvin.SimpleRegister.Application.DeleteApplication;
import Staartvin.SimpleRegister.FileHandling.MessagesFile.configMessages;

public class DeleteCommand {

	private SimpleRegister plugin;
	private DeleteApplication deleteApplication;
	
	public DeleteCommand(SimpleRegister plugin) {
		this.plugin = plugin;
		deleteApplication = new DeleteApplication(plugin);
	}
	
	public boolean onCommand(final CommandSender sender, Command cmd,
			String commandLabel, String[] args) {
		if (!sender.hasPermission("simpleregister.delete")) {
			sender.sendMessage(ChatColor.RED
					+ "You don't have the permission to perform this command!");
			return true;
		}
		if (!plugin.playersConfig.getBoolean(args[2].toLowerCase() + ".Registered")) {
			sender.sendMessage(plugin.messagesFile.getMessage(configMessages.OTHER_NOT_REGISTERED_YET, args[2], null));
			return true;
		}
		
		deleteApplication.deleteApplication(sender, args[2].toLowerCase());
		return true;
	}
}
