package Staartvin.SimpleRegister.Emailer;

import java.util.Properties;

import javax.mail.AuthenticationFailedException;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

import com.sun.mail.smtp.SMTPAddressFailedException;

import Staartvin.SimpleRegister.SimpleRegister;

public class Emailer {

	private String emailHost = "";
	private String password = "";
	private String recipient = "";
	private SimpleRegister plugin;
	private String subject;
	private String body;
	
	public Emailer (SimpleRegister plugin, String recipient) {
		this.plugin = plugin;
		this.emailHost = plugin.getConfig().getString("EmailAPI.username").replaceAll(" ", ".");
		this.password = plugin.getConfig().getString("EmailAPI.password");
		this.recipient = recipient.replaceAll(" ", ".");
		this.subject = plugin.getConfig().getString("EmailAPI.subjectofemail").replace("%servername%", plugin.getConfig().getString("Servername"));
		this.body = plugin.getConfig().getString("EmailAPI.bodyofemail").replace("%servername%", plugin.getConfig().getString("Servername"));
	}
	public boolean email() {
		Properties props = new Properties();
		props.put("mail.smtp.host", "smtp.gmail.com");
		props.put("mail.smtp.socketFactory.port", "465");
		props.put("mail.smtp.socketFactory.class",
				"javax.net.ssl.SSLSocketFactory");
		props.put("mail.smtp.auth", "true");
		props.put("mail.smtp.port", "465");
		Session session = Session.getInstance(props,
				new javax.mail.Authenticator() {
					protected PasswordAuthentication getPasswordAuthentication() {
						return new PasswordAuthentication(emailHost,
								password);
						//[U]Username[/U] is the [U]username[/U] to your actual email...
						//Password is the password you use to log into that email address
					}
				});
		try {
			Message message = new MimeMessage(session);
			message.setFrom(new InternetAddress(emailHost));
			//address[U]@whatever.com[/U] is what you want the email's FROM area to look like, although it seems it just uses the email you logged in with...
			message.setRecipients(Message.RecipientType.TO,
					InternetAddress.parse(recipient));
			//to[U]@email.com[/U] is the address you are sending this email to
			message.setSubject(subject);
			message.setText(body + "\n\n\nThis message has been automatically sent by SimpleRegister." +
					"\nMore info about the Bukkit plugin here: http://dev.bukkit.org/server-mods/simpleregister/");
			Transport.send(message);
			return true;
		} catch (AuthenticationFailedException e) {
			plugin.getLogger().severe("Couldn't send e-mail to '" + recipient + "' because the username/password combination wasn't correct.");
			plugin.getLogger().info("Don't worry, though. This message can be ignored. You don't have to submit this error to Bukkit ;)");
			return false;
		} catch (AddressException e) {
			// TODO Auto-generated catch block
			plugin.getLogger().severe("Couldn't send e-mail to '" + recipient + "' because the address wasn't correct.");
			plugin.getLogger().info("Don't worry, though. This message can be ignored. You don't have to submit this error to Bukkit ;)");
			return false;
		} catch (SMTPAddressFailedException e) {
			plugin.getLogger().severe("'" + recipient + "' is not a valid e-mail address to send an e-mail to.");
			plugin.getLogger().info("Don't worry, though. This message can be ignored. You don't have to submit this error to Bukkit ;)");
			return false;
		} catch (MessagingException e) {
			// TODO Auto-generated catch block
			plugin.getLogger().severe("Could not send an e-mail to '" + recipient + "' because an error occured. The error is unknown, though. :(");
			plugin.getLogger().info("Don't worry, though. This message can be ignored. You don't have to submit this error to Bukkit ;)");
			return false;
		}
	}

}
