package Staartvin.SimpleRegister.Events;

import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class AcceptApplicationEvent extends Event {

	// This is the player who got accepted
	private String acceptedPlayer;
	
	// This is the player who is accepting another player
	private String acceptingPlayer;
	
	private boolean isCancelled = false;
	private static final HandlerList handlers = new HandlerList();


	public AcceptApplicationEvent(String playerWhoGotAccepted, String playerWhoAccepted) {
		this.acceptedPlayer = playerWhoGotAccepted;
		this.acceptingPlayer = playerWhoAccepted;
	}
	
	public HandlerList getHandlers() {
		return handlers;
	}
	
	public static HandlerList getHandlerList() {
		return handlers;
	}
	
	/**
	 * Gets the player who got accepted
	 * @return name of the player who got accepted.
	 */
	public String getAcceptedPlayer() {
		return acceptedPlayer;
	}
	
	/**
	 * Gets the player accepted the registration
	 * @return name of the player who accepted the registration.
	 */
	public String getAcceptingPlayer() {
		return acceptingPlayer;
	}
	
	public boolean isCancelled() {
		return isCancelled;
	}
	
	public void isCancelled(boolean state) {
		isCancelled = state;
	}
}
